module App
  class <%= class_name %> < ActiveRecord::Base
    attr_accessible <%= model_attributes.map { |a| ":#{a.name}" }.join(", ") %>

    <%- first_attribute = model_attributes.first -%>
    def self.page(search, page)
      with_permissions_to(:manage).search(search).order("<%= first_attribute.name %>").paginate(:per_page => 12, :page => page)
    end

    def self.search(search)
      if search
        where("<%= first_attribute.name %> LIKE ?", "%#{search}%")
      else
        scoped
      end
    end
  end
end
