require 'rails/generators/base'

module Dust
  module Generators
    class Base < Rails::Generators::Base #:nodoc:
      def self.source_root
        @_dust_source_root ||= File.expand_path(File.join(File.dirname(__FILE__), 'dust', generator_name, 'templates'))
      end

      def self.banner
        "#{$0} dust:#{generator_name} #{self.arguments.map{ |a| a.usage }.join(' ')} [options]"
      end
    end
  end
end
