class <%=child_class_name%> < ActiveRecord::Base

  acts_as_nested_set

  belongs_to :<%=parent_singular_name%>
  has_attached_file :file, :styles => {:large => '800>', :medium => "300x300>", :thumb => "100x100#" }
  validates_presence_of :<%=parent_singular_name%>

  def self.page(search, page)
    with_permissions_to(:manage).search(search).order("title").paginate(:per_page => 20, :page => page)
  end

  def self.search(search)
    if search
      where("title LIKE ?", "%#{search}%")
    else
      scoped
    end
  end

  def self.<%=parent_singular_name%>_page(page)
    roots.paginate(:per_page => 24, :page => page)
  end

end
